#
# spec file for package procdump
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           procdump
Version:        1.3
Release:        1.7
Summary:        Process coredump emitter using performance triggers
License:        MIT
URL:            https://github.com/Microsoft/ProcDump-for-Linux
Source0:        https://github.com/Microsoft/ProcDump-for-Linux/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(zlib)

%description
A Linux version of the eponymous ProcDump tool from the Windows Sysinternals
suite. It can create core dumps of processes based on performance triggers.

%prep
%autosetup -p1 -n ProcDump-for-Linux-%{version}

%build
export CFLAGS="%{optflags}"
# build is not always parallel-safe
make

%install
%make_install

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Mon Dec  5 2022 Dirk Müller <dmueller@suse.com>
- update to 1.3
  * BREAKING CHANGE: CLI interface has been changed to match ProcDump for
    Windows.
  * Added new process group trigger (-pgid) which allows monitoring all
    processes running in the same process group.
  * Build integration improvements
  * Various bug fixes
* Thu May  5 2022 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 1.2
  * Added -G Signal trigger
  * Added -o custom path/file name for core dumps
  * Small fix for multiple definition with GCC 10+
    (fixes procdump-gcc10.patch that is dropped by now)
  * Small bug fixes
* Sun Jun  7 2020 Luigi Baldoni <aloisio@gmx.com>
- Update to version 1.1.1
  * Added -T thread count trigger and -F file descriptor count
    trigger
- Add procdump-gcc10.patch
* Thu Jan 30 2020 Luigi Baldoni <aloisio@gmx.com>
  Update to version 1.1
  * Added support for .NET Core 3.x+ core dump generation that
    results in manageable core dump sizes (#67)
  * Added -w parameter to support targetting name of the process
    executable (#34, #40)
  * Small bug fixes (#36, #50, #57, #58, #59)
  * Add a multi-distro spec file to build procdump (#29)
- Dropped group tag
* Tue Nov  6 2018 Jan Engelhardt <jengelh@inai.de>
- Trim filler words from descriptions' sentences.
* Mon Nov  5 2018 Luigi Baldoni <aloisio@gmx.com>
- Update to version 1.0.1
  * hook into Travis CI to run integration tests
  * fixed potential deadlock upon malloc failing
  * fixed improper process name parsing and sanitizing process
    name for dump file generation
  * fixed various typos
  * fixed post-build check failures on openSUSE
- Dropped procdump-SUSE.patch (merged upstream) and
  procdump-no_return_nonvoid.patch (no longer necessary)
* Wed Dec  6 2017 aloisio@gmx.com
- Initial package (1.0)
